PX_ADD_PRIMARY_INDEX(3)

NAME
PX_add_primary_index — Assigns primary index to database file

SYNOPSIS

#include <paradox.h>

int PX_add_primary_index(pxdoc_t *pxdoc, pxdoc_t *pindexdoc)

DESCRIPTION

Assigns an primary index to a database file. The primary index must be loaded before as any Paradox file with PX_open_fp(3) or PX_open_file(3). pxdoc must be a Paradox database file. In order to be able to use the index you will have to call PX_read_primary_index(3) before accessing any record data.

RETURN VALUE

Returns 0 on success and -1 on failure.

SEE ALSO

PX_open_fp(3), PX_open_file(3), PX_read_primary_index(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.